ChiliProject - Bug # 1174: Attachment deleted issue notification does not include list of changes.

Status: Needs more information Priority: Normal
Author: Greg Thornton Category: Issue tracking
Created: 2012-11-01 Assignee: Felix Schéfer
Updated: 2013-01-20 Due date:

Remote issue URL:
Affected version:
Description: To reproduce: create an issue, add an attachment, delete the attachment. The email notification sent upon

delete will not mention that a file was deleted, only that the project was updated.

History

2012-11-01 08:29 pm - Greg Thornton
- Status changed from Open to Ready for review

Pull request: https://github.com/chiliproject/chiliproject/pull/233

In @Issue::attachment_removed@, the new journal is first created without any attributes, then updated with the attributes indicating an attachment was

removed. The email notification is triggered upon creation, before the update, meaning the email has no changes to report. This simple patch uses the

@@extra_journal_attributes@ attribute provided by @acts_as_journalized@ to pre-fill the journal changes before creation. | suspect that's the intended

use of this attribute, although I'm pretty unfamiliar with the internals of @acts_as_journalized@.

2012-11-22 10:19 am - Felix Schéfer

- Assignee set to Felix Schéfer

I'll have a look, thanks.

2012-11-22 05:25 pm - Felix Schéfer

- Status changed from Ready for review to Needs more information

See the comment in the pull request :-)

2013-01-20 12:55 pm - Greg Thornton

Now that I've gotten way deeper into aaj, I'll take another look at my code and see if there's not a better fix.
